#include <iostream>
#include <vector>

#include <TSystem.h>

#include "TCordferCalibBranch.hh"

using namespace std;


void TCordferCalibBranch::CopyCalibInfo(Int_t dim, vector<Double_t> param){
  calib_dim = dim;
  copy(param.begin(), param.end(), back_inserter(calib_param));
  if(calib_dim != calib_param.size()-1){
    cerr << "ERROR: calibration dimention is wrong" << endl;
    exit(0);
  }
}

